Bug 13832 - Missing table header IDs on record holdings table in OPAC
Summary: Missing table header IDs on record holdings table in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-13 13:53 UTC by Kyle M Hall
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13832 - Missing table header IDs on record holdings table in OPAC (1.67 KB, patch)
2015-03-13 13:56 UTC, Kyle M Hall
Details | Diff | Splinter Review
[Signed-off] Bug 13832 - Missing table header IDs on record holdings table in OPAC (1.86 KB, patch)
2015-03-24 10:01 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13832 - Missing table header IDs on record holdings table in OPAC (1.91 KB, patch)
2015-03-24 22:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-03-13 13:53:30 UTC
All but two of the table headers in the item holdings table in the opac have identifiers. The remaining two should be added so they can be modified easily with CSS.
Comment 1 Kyle M Hall 2015-03-13 13:56:47 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-03-24 10:01:12 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-03-24 22:00:16 UTC
Created attachment 37200 [details] [review]
[PASSED QA] Bug 13832 - Missing table header IDs on record holdings table in OPAC

All but two of the table headers in the item holdings table in the opac have identifiers. The remaining two should be added so they can be modified easily with CSS.

Test Plan:
1) Apply this patch
2) View the holdings table for a record
3) Note the new id field for the item holds column
4) Note the new id field for the hold prioirty column ( if enabled )

Followed test plan. Patch behaves as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2015-03-24 22:01:14 UTC
This is all ok, but can you please add matching classes to the <tr> tags like we have it for the other columns? This way the complete column can be hidden/influenced with CSS.
Comment 5 Katrin Fischer 2015-03-24 22:05:29 UTC
Sorry, missed we already got one... ignore last comment. Time to go to sleep :)
Comment 6 Tomás Cohen Arazi 2015-03-25 14:31:24 UTC
Patch pushed to master.

Thanks ByWaterians!
Comment 7 Chris Cormack 2015-03-28 00:06:23 UTC
Pushed to 3.18.x will be in 3.18.6